Subject: Re: [PATCH] Document what the stage numbers in the :$n:path syntax mean.

From: Florian Weimer <[email-masked]>
Date: Mon, 20 Aug 2007 09:15:01 +0200

* Shawn O. Pearce:

>> I've memorized it long long ago.  But my coworkers haven't and always
>> get it wrong, and look at me funny when I tell them "trust me, your
>> data is in stage 2 and theirs is in stage 3...  because that's the
>> convention all of the tools you are using follows".
>
> Actually, what's wrong with the following:
>
> 	git show HEAD:foo.c
> 	git show MERGE_HEAD:foo.c
>
> ?

I think that in the staged versions, the non-conflicting parts of the
merge are in fact merged.  For the HEAD/MERGE_HEAD versions, this
isn't the case, obviously.

-- 
Florian Weimer                <[email-masked]>
BFK edv-consulting GmbH       http://www.bfk.de/
Kriegsstraße 100              tel: +49-721-96201-1
D-76133 Karlsruhe             fax: +49-721-96201-99